CLEANUP-INFO(8)

NOM
cleanup-info - nettoyer le désordre qui a pu être mis par un install-info bogué

SYNOPSIS
cleanup-info [--help] [--unsafe] [--version] [--] [<nom-de-rep>]

DESCRIPTION
cleanup-info est un script Perl qui essaye de nettoyer le désordre qui a pu être mis par un install-info bogué. Il rassemble en une seule section toutes les sections qui possèdent le même en-tête. Il essaye de se débrouiller avec les problèmes de casse ou avec des espaces ou deux-points qui peuvent avoir été laissés.
Il procède aussi à la suppression des sections vides et à l'élimination des lignes blanches (dans les entrées seulement).

L'ordre des sections est préservé (la première section rencontrée est prise en compte). L'ordre des entrées à l'intérieur des sections est préservé.

Faites très attention en utilisant ce script. - il n'est peut-être pas fiable à 100%. cleanup-info essaye de faire attention au fichier « info/dir », mais seulement jusqu'à ce qu'il l'ait modifié. Il vaut mieux sauvegarder ce fichier avant d'utiliser ce script.

OPTIONS

--help
    Affiche un écran d'aide et se termine normalement.

--unsafe
    Apporte quelques options supplémentaires qui peuvent être utiles.
    Attention : l'option « --unsafe » peut altérer un fichier qui était correct !

--version
    Affiche la version et se termine normalement.

FICHIERS

/usr/info/dir ou <nom-de-rep>/dir
    Le fichier « dir » du répertoire « info ». Le fichier verrouillé porte le même nom suivi de « .lock ».

BOGUES
Beaucoup, sans doute.

VOYEZ AUSSI
install-info(8), info(1).

AUTEUR
Copyright (C) 1996 Kim-Minh Kaplan.

C'est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie.

TRADUCTION
Philippe Batailler, Janvier 2001.